### Method

# Soup Message set_is_options_ping

#### Declaration [src]

    void
    soup_message_set_is_options_ping (
      SoupMessage* msg,
      gboolean is_options_ping
    )

#### Description [src]

Set whether `msg` is intended to be used to send `OPTIONS *` to a server.

When set to `TRUE`, the path of `SoupMessage:uri` will be ignored and `SoupMessage:method` set to `SOUP_METHOD_OPTIONS`.

Sets property | `Soup.Message:is-options-ping`

#### Parameters

`is_options_ping` | `gboolean`
| The value to set.